
$(document).ready(function(){

	// Place the menu off-screen by altering the 
	// CSS Position TOP value. We do this in JavaScript
	// rather than in our stylesheet so that a user
	// who doesn't have JavaScript will not have a
	// missing menu. 

	// In other words, if we can't move 
	// the menu off screen, the user will still be able
	// to use it. If we had moved the menu off the 
	// screen with CSS and the user didn't have JavaScript,
	// he or she would not be able to see the menu at all
	// because we are going to put it on screen with JS.




	$('.menu-social').css('left','100%');

	// Set a variable to track whether the menu is
	// off screen or on screen. We will use this to
	// determine whether we move the menu on to the
	// screen or off it when the button is clicked

	var menuStatus = 'off';

	$('.menu-social-trigger').on('click', function(){

		// console.log("Menu Status is " + menuStatus);

		if (menuStatus == "off") {
		$('.menu-social').animate({
			left: "70%"
		}, 500);
		menuStatus = 'on';

		console.log("Menu Status is " + menuStatus);
		}

		else {
			$('.menu-social').animate({
				left: "100%"
			}, 500);
			menuStatus= "off";
		}

	});   // end menu-social-trigger click
 
	
	// Similarly, set the search-form to invisible via 
	// JavaScript rather than CSS, so it is still visible
	// if the user-agent doesn't have JS. 

	// Toggle hides something currently visible and shows 
	// something currently invisible.

	$('.search-form').toggle();

	$('.search-form-trigger').on('click', function(){
		// console.log(' you clicked the search icon ');
		$('.search-form').slideToggle();
	 });   // end search-form-trigger click



});   // end ready



